Subject: RE: BeroFTPD configure prob. (HPUX 11.00)

From: "Elliott, Don (Exton, PA)" <[email-masked]>
Date: Mon, 22 Feb 1999 16:21:28 -0500

Albert,

I recall the problem you had. And that you were able to work around it.
I'm just a little nervous about hacking out the "wtmpx" stuff due to the
fact that I'm not sure if it could make a mess on the security side of
things...

I've also tried to build VR14 on this very same system (HPUX 11.00 -
gcc-2.8.1 - GNU binutils), and could never get further than the initial
"build" command, "./build CC=gcc hpx". I get the following when I run
this:

**************begins here****************
Making support library.
gcc -O   -c snprintf.c
snprintf.c:121: conflicting types for `snprintf'
/usr/local/lib/gcc-lib/hppa1.0-hp-hpux11.00/2.8.1/include/stdio.h:447:
previous
declaration of `snprintf'
make: *** [snprintf.o] Error 1

Making ftpd.
gcc -Aa -Dunix -D_HPUX_SOURCE -O +Onolimit -I.. -I../support +DAportable
-c f
tpd.c -o ftpd.o
gcc: cannot specify -o with -c and multiple compilations
make: *** [ftpd.o] Error 1

***************end here*****************

These errors continue on...

I'm truly at a loss right now as I can't get either the VR14 or the
BeroFTPD package to build or compile properly.

If anyone has any ideas on what I can do to get things going please feel
free to let me know...

Also, as an aside, I did a "find . -name "wtmpx*" on my system, and came
up with nothing.

Thanks in advance,

Don

> ----------
> From: 	[email-masked][SMTP:[email-masked]]
> Sent: 	Monday, February 22, 1999 2:32 PM
> To: 	[email-masked]
> Cc: 	"[email-masked]'"@nuinfo.nwu.edu;
> [email-masked]; [email-masked]
> Subject: 	Re: BeroFTPD configure prob. (HPUX 11.00)
> 
> I wound up not using that build in production, but going with VR14,
> so there may be other issues. Note also the patch to
> fix the declaration of defumask posted 2/17/99 with
> Subject: Re:wu-ftpd-2.4.2-beta-18-vr14 and HP-UX (fwd)
> 
> (I _can_ find a /var/adm/wtmpx file on my system but it is
> small and the last mod date in not recent.)
> 
> --
>     Albert Lunde                      [email-masked]
>